Companies
US Company
Call GET /us/companies/{cik} on the Corpus API.
GET /us/companies/{cik}
Call GET /us/companies/{cik} on the Corpus API.
Category: US · Companies
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| cik | path | yes | string | — | — |
| as_of | query | no | string | null | — | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/companies/0000320193' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | CompanyResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"company": {
"name": "string",
"cik": "0000320193",
"sec_filings_url": "https://corpus-api.onera.app",
"ticker": "AAPL",
"exchange": "string",
"sic_code": "string",
"sic_industry": "string",
"sector": "string",
"industry": "string",
"location": "string",
"is_active": true
}
}